<?php
define('GCMS',true);
define('ROOT','./');
require_once (ROOT.'system/power.php');
if ($aut == true) {
switch($do) {
//Рейтинг по чату
case 'chat':
$diz -> head('Рейтинг по чату');
$diz -> title('Самые общительные чатлане');
$sql = $db -> query("SELECT `id`,`login`,`posts`,`ava` FROM `users` ORDER BY `posts` DESC LIMIT 15");
$msg.='<div class="fon">';
while ($users = $sql -> fetch_assoc()) {
$user = $users['id'];
if($users['ava']!='0.png'){$foto='../my/ava/'.$users['ava'].'';}else{
$foto='../styles/'.$ya['style'].'/images/noava.png';}
$av='<img src="system/resize.php?img='.$foto.'&width=30&height=30&i=0" alt="ава"/>';
$user = $users['id'];
$msg .= '<table border="0" width="100%">
	<tr>
		<td height="0" width="26"><div class="avatar">'.$av.'</div></td>
 <td>
<div class="spisok">'. $func -> user($user).' ['.$users['posts'].' постов]</div></td>
	</tr>
</table>';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="reit.php">Назад</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
//Рейтинг по форуму
case 'forum':
$diz -> head('Рейтинг по форуму');
$diz -> title('Самые общительные форумчане');
$sql = $db -> query("SELECT `id`,`login`,`fposts`,`ava` FROM `users` ORDER BY `fposts` DESC LIMIT 15");
$msg.='<div class="fon">';
while ($users = $sql -> fetch_assoc()) {
$user = $users['id'];
if($users['ava']!='0.png'){$foto='../my/ava/'.$users['ava'].'';}else{
$foto='../styles/'.$ya['style'].'/images/noava.png';}
$av='<img src="system/resize.php?img='.$foto.'&width=30&height=30&i=0" alt="ава"/>';
$user = $users['id'];
$msg .= '<table border="0" width="100%">
	<tr>
		<td height="0" width="26"><div class="avatar">'.$av.'</div></td>
 <td>
<div class="spisok">'. $func -> user($user).' ['.$users['fposts'].' пост(ов)]</div></td>
	</tr>
</table>';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="reit.php">Назад</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
//Рейтинг по онлайну
case 'online':
$diz -> head('Рейтинг по онлайну');
$diz -> title('Самые активные');
$sql = $db -> query("SELECT `id`,`login`,`online`,`ava` FROM `users` ORDER BY `online` DESC LIMIT 15");
$msg.='<div class="fon">';
while ($users = $sql -> fetch_assoc()) {
$user = $users['id'];
if($users['ava']!='0.png'){$foto='../my/ava/'.$users['ava'].'';}else{
$foto='../styles/'.$ya['style'].'/images/noava.png';}
$av='<img src="system/resize.php?img='.$foto.'&width=30&height=30&i=0" alt="ава"/>';
$user = $users['id'];
$msg .= '<table border="0" width="100%">
	<tr>
		<td height="0" width="26"><div class="avatar">'.$av.'</div></td>
 <td>
<div class="spisok">'. $func -> user($user).' ['.$func->ontime($users['online']).']</div></td>
	</tr>
</table>';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="reit.php">Назад</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
//Рейтинг по баллам
case 'balls':
$diz -> head('Рейтинг по баллам');
$diz -> title('Самые богатые');
$sql = $db -> query("SELECT `id`,`login`,`balls`,`ava` FROM `users` ORDER BY `balls` DESC LIMIT 15");
$msg.='<div class="fon">';
while ($users = $sql -> fetch_assoc()) {
$user = $users['id'];
if($users['ava']!='0.png'){$foto='../my/ava/'.$users['ava'].'';}else{
$foto='../styles/'.$ya['style'].'/images/noava.png';}
$av='<img src="system/resize.php?img='.$foto.'&width=30&height=30&i=0" alt="ава"/>';
$user = $users['id'];
$msg .= '<table border="0" width="100%">
	<tr>
		<td height="0" width="26"><div class="avatar">'.$av.'</div></td>
 <td>
<div class="spisok">'. $func -> user($user).' ['.$users['balls'].' балл(ов)]</div></td>
	</tr>
</table>';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="reit.php">Назад</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
//Рейтинг по ответам
case 'ym':
$diz -> head('Самые умные');
$diz -> title('Самые умные');
$sql = $db -> query("SELECT `id`,`login`,`ym`,`ava` FROM `users` ORDER BY `ym` DESC LIMIT 15");
$msg.='<div class="fon">';
while ($users = $sql -> fetch_assoc()) {
$user = $users['id'];
if($users['ava']!='0.png'){$foto='../my/ava/'.$users['ava'].'';}else{
$foto='../styles/'.$ya['style'].'/images/noava.png';}
$av='<img src="system/resize.php?img='.$foto.'&width=30&height=30&i=0" alt="ава"/>';
$user = $users['id'];
$msg .= '<table border="0" width="100%">
	<tr>
		<td height="0" width="26"><div class="avatar">'.$av.'</div></td>
 <td>
<div class="spisok">'. $func -> user($user).' ['.$users['ym'].' ответ(ов)]</div></td>
	</tr>
</table>';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="reit.php">Назад</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
default:
$diz -> head('Рейтинги');
$diz -> title('Рейтинги');
$msg.='<div class="fon">';
$msg .= ''.$diz -> img('reit.png').' <a href="?do=chat">Рейтинг по чату</a></br>';
$msg .= ''.$diz -> img('reit.png').' <a href="?do=forum">Рейтинг по форуму</a></br>';
$msg .= ''.$diz -> img('reit.png').' <a href="?do=online">Рейтинг по онлайну</a></br>';
$msg .= ''.$diz -> img('reit.png').' <a href="?do=balls">Самые богатые</a></br>';
$msg .= ''.$diz -> img('reit.png').' <a href="?do=ym">Самые умные</a></br>';
$msg.='</div>';
$msg .= '<div class="levo">'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
} else {
header('location: ../index.php');
}
?>